We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request POST \
--url https://api.kinsta.com/v2/sites/{site_id}/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "development",
"site_title": "My First Site - development",
"is_premium": false,
"admin_email": "[email protected]",
"admin_password": "vJnFnN-~v)PxF[6k",
"admin_user": "admin",
"wp_language": "en_US",
"is_subdomain_multisite": false,
"is_multisite": false,
"woocommerce": false,
"wordpress_plugin_edd": false,
"wordpressseo": false
}
'{
"message": "Adding environment in progress",
"status": 202,
"operation_id": "environment:add-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}curl --request POST \
--url https://api.kinsta.com/v2/sites/{site_id}/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "development",
"site_title": "My First Site - development",
"is_premium": false,
"admin_email": "[email protected]",
"admin_password": "vJnFnN-~v)PxF[6k",
"admin_user": "admin",
"wp_language": "en_US",
"is_subdomain_multisite": false,
"is_multisite": false,
"woocommerce": false,
"wordpress_plugin_edd": false,
"wordpressseo": false
}
'{
"message": "Adding environment in progress",
"status": 202,
"operation_id": "environment:add-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
"development"
"My First Site - development"
false
"vJnFnN-~v)PxF[6k"
"admin"
"en_US"
false
false
false
false
false